Results 1 to 2 of 2

Thread: Launchpad fails to build a package for my PPA

  1. #1
    Join Date
    Jul 2008
    Ubuntu Development Release

    Exclamation Launchpad fails to build a package for my PPA

    Hello everyone.
    I'm trying to build a package on Launchpad's Debian build system for PPAs but I'm having some issues with a certain package.
    The package I'm trying to build (zorin-xwinwrap) contains a source C file which I'm trying to get to compile and build on Launchpad's server so that it would install and work on 32 bit (i386) and 64 bit (amd64) systems. Unfortunately I keep on getting an Error code 2 with the debian/rules file and I have no clue how to fix this issue.
    The following link is the source package of the software I'm trying to add to my PPA:
    The following link is the buildlog for the failed package on Launchpad:
    Just in case anyone will need it to fix this issue, here is the link to the packages in my PPA:

    I would greatly appreciate any suggestions if anyone may have any.
    Thank you for your time.

  2. #2
    Join Date
    Sep 2009

    Re: Launchpad fails to build a package for my PPA

    linking libraries need to come after the objects they link against since --as-needed is enabled by default these days.

    Look for a makefile, is there -lsomelib down as an LDFLAG? move these to LDLIBS and try

Tags for this Thread


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts